Loading...
Searching...
No Matches
IterableBoolMap< GR, K >::TrueIt Class Reference

## Detailed Description

template<typename GR, typename K>
class lemon::IterableBoolMap< GR, K >::TrueIt

Iterator for the keys mapped to `true`. It works like a graph item iterator, it can be converted to the key type of the map, incremented with `++` operator, and if the iterator leaves the last valid key, it will be equal to `INVALID`.

`#include <lemon/maps.h>`

## Public Member Functions

| TrueIt (const IterableBoolMap &map)
| Creates an iterator.
| TrueIt (Invalid)
| Invalid constructor & conversion.
TrueIt & | operator++ ()
| Increment operator.

## Constructor & Destructor Documentation

## TrueIt() [1/2]

template<typename GR, typename K>

TrueIt | ( | const IterableBoolMap & | map | ) |

inline explicit

Creates an iterator. It iterates on the keys mapped to `true`.

Parameters

  map | The IterableBoolMap.

## TrueIt() [2/2]

template<typename GR, typename K>

TrueIt | ( | Invalid |  | ) |

inline

This constructor initializes the iterator to be invalid.

See also
  Invalid for more details.

## Member Function Documentation

## operator++()

template<typename GR, typename K>

TrueIt & operator++ | ( |  | ) |

inline

Increment operator.